Public Attributes | List of all members
_calendar_handle Struct Reference
Peripheral Driver » HAL Driver » CALENDAR » Structures » CALENDAR handle

CALENDAR handle Structure definition. More...

`#include <gr55xx_hal_calendar.h>`

Collaboration diagram for _calendar_handle:
[legend]

## Public Attributes
uint32_t | utc
| The current UTC time of the system. More...
uint32_t | pre_count
| The last register count value of the system. More...
calendar_alarm_t | alarm
| Specifies the Calendar date alarm. More...
hal_lock_t | lock
| Specifies the Calendar locking object. More...
uint32_t | interval
| Specifies the Calendar milliseconds alarm. More...
uint8_t | mode
| Specifies the Calendar alarm mode. More...
float | clock_freq
| CALENDAR clock frequce. More...

## Detailed Description

CALENDAR handle Structure definition.

Definition at line 131 of file gr55xx_hal_calendar.h.

## Member Data Documentation

## ◆ alarm

calendar_alarm_t _calendar_handle::alarm

Specifies the Calendar date alarm.

Definition at line 137 of file gr55xx_hal_calendar.h.

## ◆ clock_freq

float _calendar_handle::clock_freq

CALENDAR clock frequce.

Unit: Hz.

Definition at line 145 of file gr55xx_hal_calendar.h.

## ◆ interval

uint32_t _calendar_handle::interval

Specifies the Calendar milliseconds alarm.

Definition at line 141 of file gr55xx_hal_calendar.h.

## ◆ lock

hal_lock_t _calendar_handle::lock

Specifies the Calendar locking object.

Definition at line 139 of file gr55xx_hal_calendar.h.

## ◆ mode

uint8_t _calendar_handle::mode

Specifies the Calendar alarm mode.

Definition at line 143 of file gr55xx_hal_calendar.h.

## ◆ pre_count

uint32_t _calendar_handle::pre_count

The last register count value of the system.

Definition at line 135 of file gr55xx_hal_calendar.h.

## ◆ utc

uint32_t _calendar_handle::utc

The current UTC time of the system.

Definition at line 133 of file gr55xx_hal_calendar.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_calendar.h